<?php

namespace Drupal\activitypub\Entity\Storage;

use Drupal\Core\Entity\ContentEntityStorageInterface;

/**
 * Defines an interface for ActivityPub activity entity storage class.
 */
interface ActivityPubActivityStorageInterface extends ContentEntityStorageInterface {

  /**
   * Get activity count.
   *
   * @param array $conditions
   *
   * @return int
   */
  public function getActivityCount($conditions = []);

}
